'use strict';

module.exports = {
  rules: {

    // enforce a maximum line length
    'max-len': ['warn', {
      code: 100,
      ignoreComments: false,
      ignoreStrings: false,
      ignoreTemplateLiterals: true,
      ignoreUrls: true,
      tabWidth: 2,
    }],

    // enforce the consistent use of either backticks, double, or single quotes
    quotes: ['warn', 'single', {
      allowTemplateLiterals: true,
      avoidEscape: false,
    }],
  },
};
